<?php 

/*
|---------------------------------------------------------------------------|
| Max Media Manager v0.1                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2004 Awarez Ltd.                                       |
| For contact details, see: http://www.awarez.net/                          |
|                                                                           |
| Copyright (c) 2000-2003 the phpAdsNew developers                          |
| For contact details, see: http://www.phpadsnew.com/                       |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
|---------------------------------------------------------------------------|
$Id: lib-view-tracker.inc.php 467 2004-07-22 14:22:47Z scott $
*/

function phpAds_fetchJavascriptVariables($trackerid)
{
	global $phpAds_config;
	
	include (phpAds_path.'/libraries/deliverycache/cache-'.$phpAds_config['delivery_caching'].'.inc.php');
	
	$cache   = phpAds_cacheFetch ($cacheId);
	
    // Unpack cache
    if ($cache) {
	   list ($zoneid, $rows, $what, $prioritysum, $chain, $prepend, $append, $cacheCreationTime) = $cache;
    }
    
	if ((!$cache || $cacheCreationTime < time() - $phpAds_config['cacheExpire']) && phpAds_dbConnect()) {

	    
	    
	    
	// Get cache
	$cache = phpAds_cacheFetch ('what=tracker:' . $trackerid);
	
	if ((!$cache || $cacheCreationTime < time() - $phpAds_config['cacheExpire']) && phpAds_dbConnect()) {
	if (!$cache && phpAds_dbConnect()) {
	    
		$variables_result = phpAds_dbQuery("
		                  						SELECT 
							                 		variableid,
									                name,
									                variabletype
								                FROM 
									               ".$phpAds_config['tbl_variables']."
								                WHERE 
									               trackerid='".$trackerid."'");

		while ($variable = phpAds_dbFetchArray($variables_result)) {
			$cache[$variable['variableid']] = array('name' => $variable['name'], 'variabletype' => $variable['variabletype']);
		}
			
		if (count($cache) > 0) {
			phpAds_cacheStore ('what=tracker:'.$trackerid, $cache);
		} else {
			return;
		}
	}
	
	return ($cache);
}

?>